using Exferia_Aplicacion.General;
using System.Collections.Generic;
using Exferia_Aplicacion.Modelos_Listado_Filtros;
using Exferia_General;
using Exferia_KairosPRO.General;
using Exferia_KairosPRO._1_Modelos;

namespace Exferia_KairosPRO._4_Vistas.Listados
{
    public class ABS_Listado_KRSS_DispositivosModelo : ABS_Listado
    {
        private Dictionary<string, INTERNO_ABS_Listado_ColumnasDatos_Modelo> g_dct_INTERNO_ABS_Listado_ColumnasDatos_Modelo = new Dictionary<string, INTERNO_ABS_Listado_ColumnasDatos_Modelo>();

        //Constructor
        public ABS_Listado_KRSS_DispositivosModelo()
        {
            Rellenar_Columnas();
        }

        private void Rellenar_Columnas()
        {
            //id
            g_dct_INTERNO_ABS_Listado_ColumnasDatos_Modelo.Add(nameof(INTERNO_KRSS_DispositivosModelo_Listado_Modelo.id), new INTERNO_ABS_Listado_ColumnasDatos_Modelo(true, nameof(INTERNO_KRSS_DispositivosModelo_Listado_Modelo.id), "id", Enumerados.G_ENUM_TIPOSDATOS.LONG, true, 0, false, false, false, false, "", null));

            //codigoCliente
            g_dct_INTERNO_ABS_Listado_ColumnasDatos_Modelo.Add(nameof(INTERNO_KRSS_DispositivosModelo_Listado_Modelo.codigoCliente),new INTERNO_ABS_Listado_ColumnasDatos_Modelo(true,nameof(INTERNO_KRSS_DispositivosModelo_Listado_Modelo.codigoCliente),"Codigo Cliente",Enumerados.G_ENUM_TIPOSDATOS.LONG,true,0,false,false,false,false,"",null));

            //fabricante
            g_dct_INTERNO_ABS_Listado_ColumnasDatos_Modelo.Add(nameof(INTERNO_KRSS_DispositivosModelo_Listado_Modelo.fabricante), new INTERNO_ABS_Listado_ColumnasDatos_Modelo(false,nameof(INTERNO_KRSS_DispositivosModelo_Listado_Modelo.fabricante),"Fabricante",Enumerados.G_ENUM_TIPOSDATOS.TEXT,false,300,true,true,true,false,"",null));

            //marca
            g_dct_INTERNO_ABS_Listado_ColumnasDatos_Modelo.Add(nameof(INTERNO_KRSS_DispositivosModelo_Listado_Modelo.marca), new INTERNO_ABS_Listado_ColumnasDatos_Modelo(false, nameof(INTERNO_KRSS_DispositivosModelo_Listado_Modelo.marca), "Marca", Enumerados.G_ENUM_TIPOSDATOS.TEXT, false, 300, true, true, true, false, "", null));

            //modelo
            g_dct_INTERNO_ABS_Listado_ColumnasDatos_Modelo.Add(nameof(INTERNO_KRSS_DispositivosModelo_Listado_Modelo.modelo), new INTERNO_ABS_Listado_ColumnasDatos_Modelo(false, nameof(INTERNO_KRSS_DispositivosModelo_Listado_Modelo.modelo), "Modelo", Enumerados.G_ENUM_TIPOSDATOS.TEXT, false, 300, true, true, true, false, "", null));

            //mac
            g_dct_INTERNO_ABS_Listado_ColumnasDatos_Modelo.Add(nameof(INTERNO_KRSS_DispositivosModelo_Listado_Modelo.mac), new INTERNO_ABS_Listado_ColumnasDatos_Modelo(false, nameof(INTERNO_KRSS_DispositivosModelo_Listado_Modelo.mac), "MAC", Enumerados.G_ENUM_TIPOSDATOS.TEXT, false, 300, true, true, true, false, "", null));

        }

        public override List<dynamic> LISTADO()
        {
            return Registros;
        }

        public override INTERNO_OpcionesDetalle_Modelo DATOS_OPCION()
        {
            return Datos_Generales.PRV_Opciones_Buscar_Detalles(Variables.G_STR_OPCION_KRSS_DISPOSITIVOSMODELO);
        }

        public override string NOMBRELISTADO_ALMACENARCONFIGURACION()
        {
            return Variables.G_STR_OPCION_KRSS_DISPOSITIVOSMODELO;
        }

        public override Dictionary<string, INTERNO_ABS_Listado_ColumnasDatos_Modelo> LISTADO_COLUMNAS()
        {
            return g_dct_INTERNO_ABS_Listado_ColumnasDatos_Modelo;
        }

        public override string ORDENACION_NOMBRECOLUMNA_PORDEFECTO()
        {
            return nameof(INTERNO_KRSS_DispositivosModelo_Listado_Modelo.marca);
        }

        public override string ORDENACION_TIPO_PORDEFECTO()
        {
            return "0";
        }

        public override INTERNO_Listado_BotonesAuxiliares_Modelo BOTONAUXILIAR_1()
        {
            return null;
        }

        public override INTERNO_Listado_BotonesAuxiliares_Modelo BOTONAUXILIAR_2()
        {
            return null;
        }

        public override INTERNO_Listado_BotonesAuxiliares_Modelo BOTONAUXILIAR_3()
        {
            return null;
        }

        public override INTERNO_Listado_BotonesAuxiliares_Modelo BOTONAUXILIAR_4()
        {
            return null;
        }

        public override INTERNO_Listado_BotonesAuxiliares_Modelo BOTONAUXILIAR_5()
        {
            return null;
        }

        public override INTERNO_Listado_BotonesAuxiliares_Modelo BOTONAUXILIAR_6()
        {
            return null;
        }

        public override INTERNO_Listado_BotonesAuxiliares_Modelo BOTONAUXILIAR_7()
        {
            return null;
        }

        public override List<INTERNO_ArbolSecundarioSeleccion_Modelo> LISTADO_ARBOLSECUNDARIOSELECCION()
        {
            return null;
        }

        public override List<INTERNO_Listado_Paginado_Filtro_Modelo> FILTRADO_PARAPAGINADO()
        {
            return null;
        }

        public override List<string> LISTADOCAMPOS_ENVIAR_A_MANTENIMIENTO()
        {
            return null;
        }
    }
}
